<script>
    import axios from 'axios'
    import { checkJWT } from '../utils'

    export default {
        data() {
            return {
                recipes: []
            }
        },
        methods: {
            
        },
        async beforeMount() {
            const token = sessionStorage.getItem( 'token' )

            console.log(JSON.parse(atob(token.split('.')[1])))

            const request = await axios.get( 'https://challenge-calories-api.herokuapp.com/recipes',
            {
                headers: {
                    'Authorization': `Bearer ${token}`,
                    'Access-Control-Allow-Origin': '*',
                    'Accept': 'application/json',
                    'Content-Type': 'application/json'
                }
            } )
            .catch( error => {
                checkJWT( error )
            } )
            
            if ( request?.data?.userRecipes ) {
                this.recipes = request.data.userRecipes
            }
        }
    }
</script>

<template>
    <div class="grid grid-cols-12">
        <div class="col-span-2"></div>
        <div class="col-span-full m:col-span-8">
            <ul v-for="item in recipes">
                <RouterLink :to="{ name: 'recipe', params: { recipeId: item.id }}">{{ item.name }}</RouterLink>
            </ul>
        </div>
    </div>
</template>